curl --request GET \
--url https://app.tagadapay.com/api/public/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'{
"id": "evt_123",
"accountId": "acc_456",
"storeId": "store_123",
"customerId": "cus_789",
"eventType": "s_order_paid",
"properties": {
"orderId": "ord_123",
"amount": 2999,
"currency": "USD",
"paymentId": "pay_456"
},
"draft": false,
"processedAt": "2024-03-20T10:35:00Z",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_789",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"store": {
"id": "store_123",
"name": "My Store"
}
}Retrieve a specific app event by its ID including related customer and store information. Requires org:admin role.
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'{
"id": "evt_123",
"accountId": "acc_456",
"storeId": "store_123",
"customerId": "cus_789",
"eventType": "s_order_paid",
"properties": {
"orderId": "ord_123",
"amount": 2999,
"currency": "USD",
"paymentId": "pay_456"
},
"draft": false,
"processedAt": "2024-03-20T10:35:00Z",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_789",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"store": {
"id": "store_123",
"name": "My Store"
}
}